<?php
 //esta classe define todas as propriedades e operações necessárias à ligação entre o código PHP e o banco de dados
 class BancoDeDados
  {
  public $nomeDoBanco;
  public $nomeDaTabela;
  public $servidor;
  public $usuario;
  public $senha;

  //construtor da classe
  function __construct($servidorDoBanco, $usuarioDoBanco, $senhaDoBanco, $nomeBanco, $nomeTabela)
   {
   $this->servidor = $servidorDoBanco;
   $this->usuario  = $usuarioDoBanco;
   $this->senha    = $senhaDoBanco;
   $this->nomeDoBanco = $nomeBanco;
   $this->nomeDaTabela = $nomeTabela;
   }

  //abaixo, estabelecemos o método que cria a ligação entre nosso código PHP e o banco de dados
  function criarConexao()
   {
   $conexao = new mysqli($this->servidor, $this->usuario, $this->senha) OR exit($conexao->error);
   return $conexao;
   }

  //método para criar o banco de dados no servidor
  function criarBanco($conexao)
   {
   $sql = "CREATE DATABASE IF NOT EXISTS $this->nomeDoBanco";
   $conexao->query($sql) OR exit($conexao->error);
   }

  //método para abrir o banco de dados
  function abrirBanco($conexao)
   {
   $conexao->select_db($this->nomeDoBanco);
   }

  //método para setar a tabela de símbolos no banco de dados
  function definirCharset($conexao)
   {
   $conexao->set_charset("utf8");
   }

  //método para criar a tabela no banco de dados

  function criarTabela($conexao)
   {
   $sql = "CREATE TABLE IF NOT EXISTS $this->nomeDaTabela(
     matricula VARCHAR(20) PRIMARY KEY,
     aluno VARCHAR(300),
     media DECIMAL(3,1)) ENGINE=innoDB";

   $conexao->query($sql) OR die($conexao->error);
   }

  //método de desconexão do banco
  function desconectar($conexao)
   {
   $conexao->close();
   }
  }