<!DOCTYPE html> 
<html lang="pt-BR"> 
<head> 
  <meta charset="utf-8"> 
  <title> Banco de dados com PHP </title> 
  <link rel="stylesheet" href="./../css/formata-banco.css">
</head> 

<body> 
 <h1> Banco de Dados MySQL com PHP - processando notas de alunos </h1>

 <?php
  //na abordagen da POO, antes de qualquer coisa, vamos converter todas as operações, dentro das includes, relacionadas ao banco de dados e aos alunos em uma definição usando duas classes: a classe relativa a banco de dados e a classe que diz respeito ao aluno. Estas duas classes estarão definidas dentro de duas includes
   require "./../includes/criar-classe-banco.inc.php";
   require "./../includes/criar-classe-alunos.inc.php";

   //criando o objeto banco de dados, por meio do método construtor, inicializado com os valores-padrão
   $objBanco = new BancoDeDados("localhost", "root", "", "objPHP", "alunos");

   //abaixo, comando para "debug" de um objeto em PHP
   //var_dump($objBanco);
   //vamos invocar todos os métodos necessários para criar, fisicamente, o banco de dados e a tabela
   $conexao = $objBanco->criarConexao();
   $objBanco->criarBanco($conexao);
   $objBanco->abrirBanco($conexao);
   $objBanco->definirCharset($conexao);
   $objBanco->criarTabela($conexao);

   //a seguir, vamos criar o objeto aluno
   $objAluno = new Alunos();

   //testar o botão de cadastro
   if(isset($_POST['cadastrar']))
    {
    //aqui dentro, vamos invocar o método que recebe os dados do aluno, vindos do formulário
    $objAluno->receberDados($conexao);
    $objAluno->cadastrarAluno($conexao, $objBanco->nomeDaTabela);
    echo "<p> Dados do aluno foram cadastrados com sucesso. </p>";
    }

   //testar o botão de tabular dados
   if(isset($_POST['tabular-dados']))
    {
    $objAluno->tabularDados($conexao, $objBanco->nomeDaTabela);
    }

   //testar o botão que conta aprovados
   if(isset($_POST['contar-aprovados']))
    {
    $objAluno->contarAprovados($conexao, $objBanco->nomeDaTabela);
    }
   
   //desconectar do banco de dados
   $objBanco->desconectar($conexao);
 ?>
 <a href="./../html/exercicio1.html"> Voltar ao início </a>    
</body> 
</html> 